epp_DomainUpdateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.domain.epp_DomainUpdateReq class

### org.openrtk.idl.epp0705.domain

# Class epp_DomainUpdateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.domain.epp_DomainUpdateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainUpdateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to modify a domain in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/domain/epp_DomainUpdateReq.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPDomainUpdate`, `epp_DomainUpdateRsp`

  ## Field Summary
  `epp_DomainUpdateAddRemove` | `m_add` The add element that contains attribute values to be added to the domain object.
  `epp_DomainUpdateChange` | `m_change` The change element that contains attribute values to be changed in the domain object.
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_name` The name of the domain object to be modified in the registry.
  `epp_DomainUpdateAddRemove` | `m_remove` The remove element that contains attribute values to be removed from the domain object.

  ## Constructor Summary
  `epp_DomainUpdateReq()` Empty constructor
  `epp_DomainUpdateReq(epp_Command _m_cmd, String _m_name, epp_DomainUpdateAddRemove _m_add, epp_DomainUpdateChange _m_change, epp_DomainUpdateAddRemove _m_remove)` The constructor with initializing variables.

  ## Method Summary
  `epp_DomainUpdateAddRemove` | `getAdd()` Accessor method for the add element that contains attribute values to be added to the domain object
  `epp_DomainUpdateChange` | `getChange()` Accessor method for the change element that contains attribute values to be changed
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getName()` Accessor method for the name of the domain object to be modified in the registry
  `epp_DomainUpdateAddRemove` | `getRemove()` Accessor method for the remove element that contains attribute values to be removed from the domain object
  `void` | `setAdd(epp_DomainUpdateAddRemove value)` Accessor method for the add element that contains attribute values to be added to the domain object
  `void` | `setChange(epp_DomainUpdateChange value)` Accessor method for the change element that contains attribute values to be changed
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setName(String value)` Accessor method for the name of the domain object to be modified in the registry
  `void` | `setRemove(epp_DomainUpdateAddRemove value)` Accessor method for the remove element that contains attribute values to be removed from the domain object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_add

    public epp_DomainUpdateAddRemove m_add

> The add element that contains attribute values to be added to the domain object.
> See Also:
>   `setAdd(epp_DomainUpdateAddRemove)`, `getAdd()`

### m_change

    public epp_DomainUpdateChange m_change

> The change element that contains attribute values to be changed in the domain object.
> See Also:
>   `setChange(epp_DomainUpdateChange)`, `getChange()`

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_name

    public String m_name

> The name of the domain object to be modified in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_remove

    public epp_DomainUpdateAddRemove m_remove

> The remove element that contains attribute values to be removed from the domain object.
> See Also:
>   `setRemove(epp_DomainUpdateAddRemove)`, `getRemove()`

## Constructor Details

### epp_DomainUpdateReq

    public epp_DomainUpdateReq()

> Empty constructor

### epp_DomainUpdateReq

    public epp_DomainUpdateReq(epp_Command _m_cmd,
                               String _m_name,
                               epp_DomainUpdateAddRemove _m_add,
                               epp_DomainUpdateChange _m_change,
                               epp_DomainUpdateAddRemove _m_remove)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_name` - The name of the domain object to be modified in the registry
>   `_m_add` - The add element that contains attribute values to be added to the domain object
>   `_m_change` - The change element that contains attribute values to be changed
>   `_m_remove` - The remove element that contains attribute values to be removed from the domain object

## Method Details

### getAdd

    public epp_DomainUpdateAddRemove getAdd()

> Accessor method for the add element that contains attribute values to be added to the domain object
> Returns:
>   The add element
> See Also:
>   `m_add`

### getChange

    public epp_DomainUpdateChange getChange()

> Accessor method for the change element that contains attribute values to be changed
> Returns:
>   The change element
> See Also:
>   `m_change`

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getName

    public String getName()

> Accessor method for the name of the domain object to be modified in the registry
> Returns:
>   The domain name
> See Also:
>   `m_name`

### getRemove

    public epp_DomainUpdateAddRemove getRemove()

> Accessor method for the remove element that contains attribute values to be removed from the domain object
> Returns:
>   The remove element
> See Also:
>   `m_remove`

### setAdd

    public void setAdd(epp_DomainUpdateAddRemove value)

> Accessor method for the add element that contains attribute values to be added to the domain object
> Parameters:
>   `value` - The add element
> See Also:
>   `m_add`

### setChange

    public void setChange(epp_DomainUpdateChange value)

> Accessor method for the change element that contains attribute values to be changed
> Parameters:
>   `value` - The change element
> See Also:
>   `m_change`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setName

    public void setName(String value)

> Accessor method for the name of the domain object to be modified in the registry
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_name`

### setRemove

    public void setRemove(epp_DomainUpdateAddRemove value)

> Accessor method for the remove element that contains attribute values to be removed from the domain object
> Parameters:
>   `value` - The remove element
> See Also:
>   `m_remove`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS